// Source: http://arduino.cc/playground/Code/AvailableMemory
// MemoryFree library based on code posted here:
// http://www.arduino.cc/cgi-bin/yabb2/YaBB.pl?num=1213583720/15
// 
// Extended by Matthew Murdoch to include walking of the free list.

//#if VM_DEBUG_MEM_CHECK == VM_DEBUG_ENABLE

#ifndef	MEMORY_FREE_H
#define MEMORY_FREE_H



#if ARDUINO_ARCH_SAM

	int _VM_freeMemory();


	//not sam
#else

	#ifdef __cplusplus
	extern "C" {
	#endif

		int _VM_freeMemory();

	#ifdef  __cplusplus
	}
	#endif

#endif

#endif